package com.jeeplus.psimanage.purchase.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.psimanage.purchase.domain.PsiMaterialDetailed;
import com.jeeplus.psimanage.oss.service.dto.WorkAttachmentDto;

import java.util.List;

/**
 * @author: 王强
 * @create: 2022-12-02 17:26
 **/
public interface PsiMaterialDetailedMapper extends BaseMapper<PsiMaterialDetailed> {
    //根据基础表id查出详情数据
    List<PsiMaterialDetailed> getByBasicId(String basicId);

    //查出附件信息
    List<WorkAttachmentDto> getByAttachmentId(String id);

    List<String> getIdByBasicId(String id);

    // 根据采购类型查询商品
    List<PsiMaterialDetailed> getByTypeId(String typeId);
}
